#!/bin/bash

# Defaul parameters
convME="OFF"
convMEcp="OFF"
plKDE18p="OFF"
plKDE23p="OFF"
Dkl="OFF"

# parse command-line arguments
while [[ $# -ge 1 ]]
do
key="$1"
#echo $@
case $key in
    --convME)
    convME=ON
    ;;
    --convMEcp)
    convMEcp=ON
    ;;
    --plKDE18p)
    plKDE18p=ON
    ;;
    --plKDE23p)
    plKDE23p=ON
    ;;
    --Dkl)
    Dkl=ON
    ;;
    *)
    # unknown option
    echo "Unknown key: ${key}"
    exit
    ;;
esac
shift
done

# Directories
scrdir="../../scripts/cal/"

# Echo setup
echo "----------------------------------------------------"
echo "Processing: "
echo " - Error model parameter plot:        ${convME}"
echo " - Error model parameter corr. plot:  ${convMEcp}"
echo " - \"triangle\" plot for Dst:           ${plKDE18p}"
echo " - \"triangle\" plot for Dtr:           ${plKDE23p}"
echo " - KL-divergence plot:                ${Dkl}"
echo "----------------------------------------------------"

# convME
if [ "$convME" == "ON" ]
then
  python ${scrdir}/convME.py
fi

# convME
if [ "$convMEcp" == "ON" ]
then
  kdebin="../../../lib/kde/kde"
  cd dst_d12; 
  awk '{print exp($21)"  "$22}' chain.thin > pts.dat
  ${kdebin} -d 2 -n 200 -f pts.dat -o dens.dat
  /bin/rm pts.dat; cd ../dtr_d12
  awk '{print exp($26)"  "$27}' chain.thin > pts.dat
  ${kdebin} -d 2 -n 200 -f pts.dat -o dens.dat
  /bin/rm pts.dat; cd ..
  python ${scrdir}/plKDE_me.py
fi

# plKDE18p
if [ "$plKDE18p" == "ON" ]
then
  cd dst_d12
  python ../${scrdir}/plKDE_18p.py
  cd ..
fi

# plKDE23p
if [ "$plKDE23p" == "ON" ]
then
  cd dtr_d12
  python ../${scrdir}/plKDE_23p.py
  cd ..
fi

# Dkl
if [ "$Dkl" == "ON" ]
then
  cd dst_d12; python ../${scrdir}/getDkl_18.py; cd ..
  cd dtr_d12; python ../${scrdir}/getDkl_23.py; cd ..
  python ${scrdir}/plDkl.py
fi

