#!/usr/bin/env python

import os, sys
import numpy as npy
import h5py
import matplotlib.pyplot as plt
from scipy import stats, mgrid, c_, reshape, random, rot90
from matplotlib.ticker import MultipleLocator, FormatStrFormatter

figname='cal_me.pdf'

din = npy.genfromtxt("dst_d12/dens.dat")
x2D=npy.transpose(din[:,1].reshape(200,200))
y2D=npy.transpose(din[:,0].reshape(200,200))
p2D=npy.transpose(din[:,2].reshape(200,200))

din = npy.genfromtxt("dtr_d12/dens.dat")
x2D_23p=npy.transpose(din[:,1].reshape(200,200))
y2D_23p=npy.transpose(din[:,0].reshape(200,200))
p2D_23p=npy.transpose(din[:,2].reshape(200,200))

fsizex=6; fsizey=4; # figure sizes
xs = 0.14; ys = 0.14; # lower left corner
sx = 0.80; sy = 0.80; # frame size
fs1   = 18;
ncont = 6; # no of contours for 2D pdfs
lw1   = 2;

fig  = plt.figure(figsize=(fsizex,fsizey))
ax   = fig.add_axes([xs,ys,sx,sy])
pl1= ax.contour(x2D,y2D,p2D,ncont,linewidths=lw1,colors='b')
pl2= ax.contour(x2D_23p,y2D_23p,p2D_23p,ncont,linewidths=lw1,colors='r')

xlm=ax.set_xlim([2.8,5.8])
ylm=ax.set_ylim([0.32,0.44])
xti=ax.set_xticks([3,4,5]); 
yti=ax.set_yticks([0.32,0.36,0.40,0.44]); 

ylb=ax.set_ylabel(r'$\sigma_m$', fontsize=fs1, rotation=90)
xlb=ax.set_xlabel(r'$l_c$',      fontsize=fs1, rotation=0)

for tick in ax.xaxis.get_major_ticks()+ax.yaxis.get_major_ticks():
    tick.label.set_fontsize(fs1-4)

txt = plt.text(5.5,0.435,"(d)",fontsize=fs1-2,ha='left',va='top')

#plt.show()
plt.savefig(figname)

